org.eclipse.jdt.launching

## Interface IRuntimeClasspathEntryResolver2

All Superinterfaces:
  IRuntimeClasspathEntryResolver

    public interface IRuntimeClasspathEntryResolver2
    extends IRuntimeClasspathEntryResolver

Optional enhancements to `IRuntimeClasspathEntryResolver`.

Clients may implement this interface.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isVMInstallReference(IClasspathEntry entry)` Returns whether the given classpath entry references a VM install.

### Methods inherited from interface org.eclipse.jdt.launching.IRuntimeClasspathEntryResolver

`resolveRuntimeClasspathEntry, resolveRuntimeClasspathEntry, resolveVMInstall`

### Method Detail

#### isVMInstallReference

    boolean isVMInstallReference(IClasspathEntry entry)

Returns whether the given classpath entry references a VM install.

Parameters:
  `entry` - classpath entry
Returns:
  whether the given classpath entry references a VM install